# Class: data&#95;source

Data sources for logging in RRDs

## Fields for class: data&#95;source

|Field               |Type                |Qualifier      |Description                             |
|:-------------------|:-------------------|:--------------|:---------------------------------------|
|`enabled`           |`bool`              |_RO/runtime_   |true if the data source is being logged |
|`max`               |`float`             |_RO/runtime_   |the maximum value of the data source    |
|`min`               |`float`             |_RO/runtime_   |the minimum value of the data source    |
|`name_description`  |`string`            |_RO/runtime_   |a notes field containing human&#45;readable description|
|`name_label`        |`string`            |_RO/runtime_   |a human&#45;readable name               |
|`standard`          |`bool`              |_RO/runtime_   |true if the data source is enabled by default. Non&#45;default data sources cannot be disabled|
|`units`             |`string`            |_RO/runtime_   |the units of the value                  |
|`value`             |`float`             |_RO/runtime_   |current value of the data source        |

## RPCs associated with class: data&#95;source

Class data&#95;source has no RPCs associated with it.
